# create-service

## Purpose

The `create-service` command will create a Griffon service class for the given base name.

## Examples

    griffon create-service book

## Description

Creates a service for the give base name. For example for a base name `book` a service called `BookService` will be created in the `griffon-app/services` directory.

A service class encapsulates business logic and is delegated to by controllers to perform the core logic of a Griffon application.

> Note that this command is merely for convenience and you can also create services in your favorite text editor or IDE if you choose.

Usage:

    griffon create-service [name]

Arguments:

- `name` - The name of the service to create.

Options:

- `archetype` - The name of an archetype. Defaults to default.
- `service` - The name of the service template. Defaults to Service.
- `tests` - The name of the unit test template. Defaults to Tests.
- `file-type` - The file type of each artifact, i.e, groovy|java|etc